9 Replies Latest reply: Nov 14, 2012 7:00 AM by jmft2012 RSS

    Oracle Upgrade Assistant ua Cannot Start

    jmft2012
      I have an issue which is probably the most strange one in my work history on Oracle.
      I have the SR with Oracle for a month and Oracle has not been helpful on the issue.

      I try to explain it as the best I can:

      There are a number of Solaris 10 servers in the zone. On a couple of the servers – C1, C2, the OFM11g products are installed.
      The zone was restarted a month ago.

      After C1 was restarted the X –window utility (tried tightvnc , putty) fails to start Oracle Upgrade Assistant –ua for ALL the OFM products, such as OAM, OIM, Portal, WT and etc, on the server. Interesting enough the utility does not fail to start all the other binaries of all the products, such owm, config.sh, runInstaller, you name it, on the same server with the same env setting.
      The error msg: “the error msg: Can't connect to X11 window server using ':1.0' as the value of the DISPLAY variable.”
      It does not fail to start ua in C2 after the restarted.

      Before the restart, I was able to use the ua to have Portal11g upgraded on C1, and after the restart there has been no changes made on OFM’s, such the java being used, WLS and so on. Tried to understand the nature of the issue, I installed a new WT on both of C1 and C2 and ua fails to be started on C1 , not on C2. I have made the truss traces for invoking us on C1 and C2. However the traces do not seem yielding useful info. if you need these I can send you.

      I have reached out my OS team and Oracle Support for the issue. The OS team claimed there is no difference between C1 and C2 on the server level and it is not a VNC / xterm or desktop relevant. Oracle has been no helpful on the issue.

      Now I kind of run out the methods to troubleshoot the issue on C1. Would you suggest any methods for identifying the root of the issue?
      I believe it the OS relevant which ua execution relating to. But I do not know how to find the cause.

      Thanks

      Sean
        • 1. Re: Oracle Upgrade Assistant ua Cannot Start
          Gyanprakash Pandey
          Check your hostfile and hostname. I've faced this issue and root cause was /etc/hosts file has incorrect hostname and ip mappings.

          regards,
          GP
          • 2. Re: Oracle Upgrade Assistant ua Cannot Start
            jmft2012
            Gyanprakash Pandey wrote:
            Check your hostfile and hostname. I've faced this issue and root cause was /etc/hosts file has incorrect hostname and ip mappings.

            regards,
            GP
            Those have been verified and ruled out as relevant.
            As stated Xterm is working on all the others such runInstaller, owm, and so on, except on ua.

            I have used the truss to trace ua and that does not generate the helpful info for this issue.
            I wonder that whether any other tools could be used for this troubleshoot. If any , please let me know.
            • 3. Re: Oracle Upgrade Assistant ua Cannot Start
              user8846403
              I have exactly the same problem and same error - installed FMW on Solaris 10 box, ran the config.sh from same MW ORACLE_HOME/bin directory successfully via x-server to configure a domain without any issue, xclcok works fine.

              I tried putty, realVNC and XMING, all same error while no issue with xclock and config.sh. Opened a ticket with Oracle Support (Oracle Discoverer group) but no luck so far. I only tried on our development box and did not try others.

              Can you tell which Oracle Support Group you have been working with? My SR# is SR 3-6366510871 (Title - "Error when running Oracle Fusion Middleware Upgrade Assistant: Can't connect to X11 window server"), you may mention this to your Oracle Support analyst so it may force them to look internally for a possible bug.

              Thanks,

              Alan Wan
              • 4. Re: Oracle Upgrade Assistant ua Cannot Start
                jmft2012
                My "SR 3-6006952911 : TF: Upgrade Assistant Cannot Start" has been opened under Oracle Fusion Middleware. THe support engineer has been working with Oracle developer on the issue. No progress has ever been made for more than 3 months since it was logged. At the meantime I use the command line mode instead.

                I have found out the issue existing if the component is installed with WLS(FMW), and no existing if the component is installed as the stand alone.
                I used the WebTier11g to the verification.

                HTH

                Sean Bu
                • 5. Re: Oracle Upgrade Assistant ua Cannot Start
                  user8846403
                  Thanks for the update.

                  Yes, it's very frustrating being stuck at this non-sense step for so long. The SR I opened is a month old now but I did so much research before opening a SR as I simply try to upgrade our Discoverer 10g to 11g (11.1.1.6), this Discoverer is integrated with our E-Business Suite Application R12.

                  I have looked at command line option too but to perform schema upgrade using the command line interface, the syntax requires -oidHost and oidSslPort which we don't use OID in our environment:

                  ua MR -discoverer -oidHost <oid_host> -oidSslPort <oid_ssl_port>
                  -schemaName <schema_name>

                  I wonder how you did the command line upgrade for schema data upgrade, I would be really appreciate if you could share it.

                  Regards,

                  Alan Wan
                  • 6. Re: Oracle Upgrade Assistant ua Cannot Start
                    user8846403
                    Add one more point here - yes I have installed WebLogic Server (WLS) 10.3.6 and Oracle Discoverer 11.1.1.6 into same MW_HOME because I need to run Discoverer on WLS.
                    • 7. Re: Oracle Upgrade Assistant ua Cannot Start
                      jmft2012
                      I have used the command line mode having the osso10g upgraded to OAM sso. it was a middle tier upgrade. i have not used the mode for oas repos upgrade, but i will use it for the portal upgrade which has the both middle tier as well the repos.
                      I'd suggest you open an SR for your issue.

                      Sean Bu
                      • 8. Re: Oracle Upgrade Assistant ua Cannot Start
                        user8846403
                        Sean,

                        Thanks for the reply, looks like we have different situation and command line option may not work for me, but I will ask Oracle Support anyway.

                        Regards,

                        Alan Wan
                        • 9. Re: Oracle Upgrade Assistant ua Cannot Start
                          jmft2012
                          Alan ,
                          please post what Oracle takes on the repos upgrade by the command line mode when you get it from the support. i will use it as well. thanks.
                          Sean Bu